import ViewMessageService from '../view-message-service';
/**
 * 树主状态视图消息服务对象基类
 *
 * @export
 * @class ViewMsg64MessageServiceBase
 */
export default class ViewMsg64MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg64MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg64MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg64MessageServiceBase
     */
    public initBasicParam(){
        this.id = "1A208C5E-7D7B-475E-A121-CEEBBDF3FEEC";
        this.name = "树主状态";
        this.codename = "ViewMsg64";
        this.title = "";
        this.content = "本示例展示树主状态（通过主状态控制树节点上下文菜单状态）：图书类型为都市时禁用编辑，类型为仙侠时禁用删除，类型为武侠时禁用打开文档。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg64MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}